import { action, makeObservable } from "mobx";
// 档案
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";
import baseHttp from "@/service/base";

class ExceCompetConfig {
    static LIST: string = "exceCompet/list"
    static ADD: string = "exceCompet"
    static DELETE: string = "exceCompet"
    static EDIT: string = "exceCompet"
}
class ExceCompetStore extends BaseStore<TagDataType> {
    constructor() {
        super(ExceCompetConfig)
        makeObservable(this, {
            save: action
        })
    }

    async save(id: string, list: Array<any>) {
        return await baseHttp.post(ExceCompetConfig.ADD +"/"+ id, {"list":list});
    }
}
export const exceCompetStore = new ExceCompetStore()

